# XmPushButton

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmPushButton - Motif-compatible pushbutton widget

## SYNOPSIS

#include <Xm/PushB.h>

XmPushButton

XmCreatePushButton

## DESCRIPTION

XmPushButton

## X RESOURCES

Name | Class | Type | Default | Access

XmNmultiClick | XmCMultiClick | MultiClick | NULL | CSG
XmNfillOnArm | XmCFillOnArm | Boolean | NULL | CSG
XmNarmColor | XmCArmColor | Pixel | NULL | CSG
XmNarmPixmap | XmCArmPixmap | PrimForegroundPixmap | NULL | CSG
XmNshowAsDefault | XmCShowAsDefault | BooleanDimension | NULL | CSG
XmNactivateCallback | XmCCallback | Callback | NULL | CSG
XmNarmCallback | XmCCallback | Callback | NULL | CSG
XmNdisarmCallback | XmCCallback | Callback | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNdefaultButtonShadowThickness | XmCDefaultButtonShadowThickness | HorizontalDimension | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG

XmNmultiClick

XmNfillOnArm

XmNarmColor

XmNarmPixmap

XmNshowAsDefault

XmNactivateCallback

XmNarmCallback

XmNdisarmCallback

XmNshadowThickness

XmNdefaultButtonShadowThickness

XmNtraversalOn

XmNhighlightThickness

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) XmPrimitive(3) XmLabel(3) XmPushButton(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.